Bio::MAGETAB::Node(3)

NAME
Bio::MAGETAB::Node - Abstract node class

SYNOPSIS
 use Bio::MAGETAB::Node;

DESCRIPTION
This class is an abstract class from which all MAGE-TAB SDRF Node classes are derived. It cannot be instantiated directly. See the BaseClass class for superclass methods.

ATTRIBUTES

inputEdges (optional)
    A list of Edges leading into this node (data type: Bio::MAGETAB::Edge).

outputEdges (optional)
    A list of Edges leading out of this node (data type: Bio::MAGETAB::Edge).

comments (optional)
    A list of user-defined comments for the node (data type: Bio::MAGETAB::Comment).

sdrfRows (optional)
    A list of SDRF rows to which this node belongs. This is used to link channel and factor information to each node in the graph (data type: Bio::MAGETAB::SDRFRow).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).